<?php
/**
 * @package     PHP-Bridge
 * @subpackage  com_phpbridge
 *
 * @copyright   Copyright (C) 2017 Henry Schorradt, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

// No direct access to this file
defined('_JEXEC') or die;

//use Joomla\Registry\Registry;

/**
 * PhpView Model
 */

class PhpBridgeModelPhpView extends JModelItem
{
    /**
     * Model context string.
     * @var        string
     */
    protected $_context = 'com_phpbridge.phpview';

    /**
     * @var
     */
    protected $html;

    /**
     * @return string
     */
    public function getHtml()
    {
        $app = JFactory::getApplication();
        $document = JFactory::getDocument();
        $input = new JInput();

        $params = JComponentHelper::getParams($input->get('option'));

        $c_run = $input->get('run','');

        //Security
        if(preg_match('/\.\./imU', $c_run)){
            $c_run = '';
        }

        $c_mode = $input->get('mode','');
        $c_data = $input->get('data','');

        $tempmodul = new Schorradt\PhpBridgePhpModul($c_run, $c_mode, $c_data);
        $tempmodul->init($params);
        $this->html = $tempmodul->runScript();

        return $this->html;
    }

//    /**
//     *
//     */
//    protected function populateState()
//    {
//        $input = JFactory::getApplication()->input;
//
//        $basename = $input->cookie->getString(JApplicationHelper::getHash($this->_context . '.basename'), '__SITE__');
//        $this->setState('basename', $basename);
//
//        $compressed = $input->cookie->getInt(JApplicationHelper::getHash($this->_context . '.compressed'), 1);
//        $this->setState('compressed', $compressed);
//    }



}